CVE-2016-2233

Priority
Description
Stack-based buffer overflow in the inbound_cap_ls function in
common/inbound.c in HexChat 2.10.2 allows remote IRC servers to cause a
denial of service (crash) via a large number of options in a CAP LS
message.
Package
Upstream:released (2.12.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):needs-triage
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.12.4-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2.12.4-1)
Ubuntu 19.04 (Disco Dingo):not-affected (2.12.4-1)
Patches:
Upstream:https://github.com/hexchat/hexchat/commit/4e061a43b3453a9856d34250c3913175c45afe9d
Package
Source: xchat (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needs-triage)
Ubuntu 14.04 LTS (Trusty Tahr):needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.8.8-10)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2.8.8-10)
Ubuntu 19.04 (Disco Dingo):not-affected (2.8.8-10)
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needs-triage)
Ubuntu 14.04 LTS (Trusty Tahr):needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):needs-triage
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
More Information

Updated: 2019-01-14 21:18:52 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)